Skip to main content

Update Applicant: ResMan

PUThttps://api.propexo.com/v1/applicants/resman/:applicant_id
InterfaceMethod
Lease Application/MITS/PostLeaseApplication3_0

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

applicant_id stringrequired

The Propexo unique identifier for the applicant

Request​

This endpoint expects an object.

    application_datestring<date-time>required

    The application date associated with the applicant

    start_datestring<date-time>required

    The start date associated with the applicant

    end_datestring<date-time>required

    The end date associated with the applicant

    statusstringrequired

    The status associated with the applicant

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    email_1string<email>deprecated

    Deprecated: The email field from the lead will be the email of the applicant. The primary email address associated with the applicant

    date_of_birthstring<date-time>

    The date of birth associated with the applicant

    address_1string

    The first address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    rent_amount_market_in_centsinteger

    The market rent amount in cents for the lease

    move_in_datestring<date-time>

    The move-in date associated with the lease

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    application_datestring<date-time>required

    The application date associated with the applicant

    start_datestring<date-time>required

    The start date associated with the applicant

    end_datestring<date-time>required

    The end date associated with the applicant

    statusstringrequired

    The status associated with the applicant

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    email_1string<email>deprecated

    Deprecated: The email field from the lead will be the email of the applicant. The primary email address associated with the applicant

    date_of_birthstring<date-time>

    The date of birth associated with the applicant

    address_1string

    The first address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    rent_amount_market_in_centsinteger

    The market rent amount in cents for the lease

    move_in_datestring<date-time>

    The move-in date associated with the lease

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applicants/resman/:applicant_id
curl -X PUT https://api.propexo.com/v1/applicants/resman/:applicant_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"applicant_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING",
"first_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"rent_amount_market_in_cents": 0,
"move_in_date": "2024-07-29T15:51:28.071Z"
}
}